/contributions

Use this endpoint to create a new contribution with the properties provided in the request body. If successful, the endpoint responds with HTTP Status Code 201 Created and the integer ID of the created Contribution in the response body. If any of the specified ids (vanId, pledgeId, codeId, or extendedSourceCodeId) are not accessible in the current context (e.g., the associated api user does not have access to the contact), the request will be considered invalid.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
contact
object
required

The Person who contributed

designation
object
required

The Designation which will receive funds associated with this Contribution.

date-time
required
Defaults to 2013-12-25T12:23:00Z

The date and time of this contribution; must occur before the time of the API call.

double
required
Defaults to 12.34

The amount of the contribution. Must be between $0.01 and $999,999.99 inclusive, unless disclosure fields are enabled, in which case all positive or negative values are allowed. May not have more than 2 digits after the decimal point.

string
enum
required
Defaults to Pending

The current status of the contribution

Allowed:
string
enum
required
Defaults to MoneyOrder

A string representing the method of payment.

codes
array of objects

An array of zero or one Codes to apply to the contribution. Contributions may not have more than one Code applied, and if a Code is applied, it must be a Source Code.

codes
generalLedgerFund
object

The associated GeneralLedgerFund object.

costCenter
object

The associated CostCenter object.

string
Defaults to Excelsior Consulting

The direct marketing code.

string
Defaults to Donate

A note describing the Contribution.

extendedSourceCode
object

The Extended Source Code object to apply to the Contribution. Only the extendedSoureCodeId property is required. If this is provided and no codes are provided, we’ll look for and apply a matching Source Code to the contribution from a Direct Response Plan segment that the contact is in with a contact history record that has the extended source code. If no matching source code is found, then the POST will fail.

int32
Defaults to 825

The ID of the associated Financial Batch. Required if Financial Batch Manager is enabled in the committee context; not allowed if Financial Batch Manager is disabled in the committee context. If specified, the Designation of the Financial Batch must match the Designation of the contribution.

pledge
object

The pledge associated with this contribution

customFieldValues
array of objects

An array of 1 or more custom fields

customFieldValues
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain